- Qt 6.4
- Qt WebEngine
- QML Types
- WebEngineAction
- Qt 6.4.3 Reference Documentation

# WebEngineAction QML Type

An action that represents a WebEngineView::WebAction. More...

Import Statement: | import QtWebEngine
Since: | QtWebEngine 1.8

- List of all members, including inherited members

## Properties

- enabled : bool
- iconName : string
- text : int

## Methods

- void trigger()

## Detailed Description

A WebEngineAction is returned by the WebEngineView::action() method. It provides information about the action, such as whether it is enabled.

The following code uses the WebEngineView::action() method to check if the the copy action is enabled:

     var copyAction = webEngineView.action(WebEngineView.Copy);
     if (copyAction.enabled)
         console.log("Copy is enabled.");
     else
         console.log("Copy is disabled.");

## Property Documentation

[read-only] enabled : bool

This property holds whether the action is enabled.

[read-only] iconName : string

This property holds the name of the icon for the action. This name can be used to pick the icon from a theme.

[read-only] text : int

This property holds a textual description of the action.

## Method Documentation

void trigger()

Triggers the action.